<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>FlaskApp</title>
    <style>
        .account_info {
            padding: 20px;
            margin: 10px;
            background-color: #eee;
        }
    </style>
</head>
<body>
    <h1>Stock Portal</h1>
    <hr>
    <div class="content">
        <!-- Display API key change message if applicable -->
        {% block is_api_key_changed %}
            {% if is_api_key_changed == True %}
                <div>Your API Key has been successfully updated</div>
                <hr>
            {% endif %}
        {% endblock is_api_key_changed %}
        
        <!-- Display new user registration message if applicable -->
        {% block is_new_user %}
            {% if is_new_user == True %}
                <div>Welcome to Stock Portal</div>
                <hr>
            {% endif %}
        {% endblock is_new_user %}

        <div class="account_info">
            <p>{{ account_info['email'] }} <i>({{ account_info['api_key']}})</i></p>
        </div>
    </div>
    
    <div class="content">
        {% for info in existing_email_symbols %}
        <div class="todo">
            <p>{{ info['symbol'] }} <i>({{ info['qty']}})</i> <i>({{ info['price']}})</i> {{ info['last_fetched']}} </p>
        </div>
        {% endfor %}
    </div>

    <hr>
    <div class="content">
        <form method="post">
            <p>
                <b><label for="content_symbol">Enter Stock Symbol</label></b>
            </p>
            <p>
                <input type="text" name="content_symbol" placeholder="Ex: AAPL"></input>
            </p>
            <p>
                <b><label for="content_qty">Enter Units Owned</label></b>
            </p>
            <p>
                <input type="text" name="content_qty" placeholder="Ex: 123"></input>
            </p>
            <p>
                <input type="hidden" name="content_email" value={{ account_info['email'] }}></input>
            </p>
            <hr>
            <button type="submit">Submit</button>
        </form>
    </div>

    <hr>
    <hr>

    <div id="log"></div>

    <script>
        // const log = (text, color) => {
        //   document.getElementById('log').innerHTML += `<span style="color: ${color}">${text}</span><br>`;
        // };
  
        // const socket = new WebSocket('ws://' + location.host + '/price');
        // socket.addEventListener('message', ev => {
        //   log('<<< ' + ev.data, 'blue');
        // });
        
        // document.getElementById('form').onsubmit = ev => {
        //   ev.preventDefault();
        //   const textField = document.getElementById('text');
        //   log('>>> ' + textField.value, 'red');
        //   socket.send(textField.value);
        //   textField.value = '';
        // };
        
        let email = "{{ account_info['email'] }}";
        
        setInterval(function () {
            // socket.send("AAPL");    
            let url = '/login?email=' + email + '&is_api_key_changed=False&is_new_user=False';
            let myRequest = new Request(url);
            
            fetch(myRequest);

        }, 120000);

    </script>

</body>
</html>
